---
title: '-moz-context-properties'
slug: Web/CSS/-moz-context-properties
tags:
  - '-moz-context-properties'
  - CSS
  - CSS Property
  - 'CSS:Mozilla Extensions'
  - Experimental
  - Needs Privileges
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p><span class="seoSummary">The <code><strong>-moz-context-properties</strong></code> property can be used within privileged contexts in Firefox to share the values of specified properties of the element with a child SVG image.</span></p>

<p>If you reference an SVG image in a webpage (such as with the {{htmlelement("img")}} element or as a background image), the SVG image can coordinate with the embedding element (its context) to have the image adopt property values set on the embedding element. To do this the embedding element needs to list the properties that are to be made available to the image by listing them as values of the <code>-moz-context-properties</code> property, and the image needs to opt in to using those properties by using values such as the <code>context-fill</code> value.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css notranslate">/* Keyword values */
-moz-context-properties: fill;
-moz-context-properties: fill, stroke;

/* Global values */
-moz-context-properties: inherit;
-moz-context-properties: initial;
-moz-context-properties: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>fill</code></dt>
 <dd>Expose the <code>fill</code> value set on the image to the embedded SVG.</dd>
 <dt><code>stroke</code></dt>
 <dd>Expose the <code>stroke</code> value set on the image to the embedded SVG.</dd>
 <dt><code>fill-opacity</code></dt>
 <dd>Expose the <code>fill-opacity</code> value set on the image to the embedded SVG.</dd>
 <dt><code>stroke-opacity</code></dt>
 <dd>Expose the <code>stoke-opacity</code> value set on the image to the embedded SVG.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Exposing_fill_and_stroke_to_an_SVG_image">Exposing fill and stroke to an SVG image</h3>

<p>In this example we have a simple SVG embedded using an <code>&lt;img&gt;</code> element.</p>

<p>You first need to specify on the embedding element the properties whose values you wish to expose to the embedded SVG, using the <code>-moz-context-properties</code> property. For example:</p>

<pre class="brush: css notranslate">.img1 {
  width: 100px;
  height: 100px;
  -moz-context-properties: fill, stroke;
  fill: lime;
  stroke: purple;
}</pre>

<p>Now that you've done this, the SVG image can use the values of the {{cssxref("fill")}} and {{cssxref("stroke")}} properties, for example:</p>

<pre class="brush: html notranslate">&lt;img class="img1" src="data:image/svg+xml;utf8,&lt;svg xmlns='http://www.w3.org/2000/svg'&gt;
                       &lt;rect width='100%' height='100%' stroke-width='30px'
                       fill='context-fill red' stroke='context-stroke' fill-opacity='0.5'/&gt;&lt;/svg&gt;"&gt;</pre>

<p>Here we've set the image <code>src</code> to a data URI containing a simple SVG image; the <code>&lt;rect&gt;</code> inside has been made to take its <code>fill</code> and <code>stroke</code> values from the {{cssxref("fill")}} and {{cssxref("stroke")}} set on the <code>&lt;img&gt;</code> element by giving them the <code>context-fill</code>/<code>context-stroke</code> keywords in their values, along with a fallback color for the fill (red) which will be used in the case that the SVG is loaded standalone in a top-level window (where it will have no context element to provide context values). Note that if a color is set directly on the SVG, but then the context color is also specified, the context color overrides the direct color.</p>

<div class="note">
<p><strong>Note</strong>: You can find a <a href="https://mdn.github.io/css-examples/moz-context-properties/">working example on Github</a>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-moz-context-properties")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla CSS extensions</a></li>
 <li><a href="/en-US/docs/Web/Media/images">Using images in HTML</a></li>
 <li><a href="/en-US/docs/Learn/HTML/Multimedia_and_embedding/Adding_vector_graphics_to_the_Web">Adding vector graphics to the web</a></li>
 <li><a href="/en-US/docs/Web/SVG/SVG_as_an_Image">SVG as an image</a></li>
 <li><a href="/en-US/docs/Learn/HTML/Multimedia_and_embedding/Responsive_images">Responsive images</a></li>
</ul>
